Loading...
Searching...
No Matches
etl::private_histogram::histogram_common< TCount, Max_Size_ > Class Template Reference

Base for histograms. More...

`#include <histogram.h>`

## Public Types

typedef etl::array< TCount, Max_Size >::const_iterator | const_iterator

## Public Member Functions

| ETL_STATIC_ASSERT (etl::is_integral< TCount >::value, "Only integral count allowed")
const_iterator | begin () const
| Beginning of the histogram.
const_iterator | cbegin () const
| Beginning of the histogram.
const_iterator | end () const
| End of the histogram.
const_iterator | cend () const
| End of the histogram.
void | clear ()
| Clear the histogram.
ETL_CONSTEXPR size_t | size () const
| Size of the histogram.
ETL_CONSTEXPR size_t | max_size () const
| Max size of the histogram.
size_t | count () const
| Count of items in the histogram.

## Static Public Attributes

static ETL_CONSTANT size_t | Max_Size = Max_Size_

## Protected Attributes

etl::array< TCount, Max_Size > | accumulator

## Detailed Description

template<typename TCount, size_t Max_Size_>
class etl::private_histogram::histogram_common< TCount, Max_Size_ >

Base for histograms.

The documentation for this class was generated from the following file:

- include/etl/histogram.h